View Issue Details

IDProjectCategoryView StatusLast Update
0000800SymmetricDSBugpublic2014-02-02 20:52
ReporterabrougherAssigned Toabrougher 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.1.4 
Target Version3.1.4Fixed in Version3.1.4 
Summary0000800: DbFill is incorrectly generating new random values for columns containing a FK reference.
DescriptionA table's FK columns were not being recognized as FK columns when table names are provided as DbFill arguments. If no table names are provided, the entire schema is loaded and FK columns are correctly recognized.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master f0c284e0

2012-09-04 10:38:18

abrougher

Details Diff
0000800: DbFill is incorrectly generating new random values for columns containing a FK reference.
0000800
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbFill.java Diff File

Issue History

Date Modified Username Field Change
2012-09-04 10:37 abrougher New Issue
2012-09-04 10:37 abrougher Status new => assigned
2012-09-04 10:37 abrougher Assigned To => abrougher
2012-09-04 10:40 abrougher Status assigned => resolved
2012-09-04 10:40 abrougher Fixed in Version => 3.2.0
2012-09-04 10:40 abrougher Resolution open => fixed
2012-09-05 13:20 chenson Fixed in Version 3.2.0 => 3.1.4
2012-09-05 13:20 chenson Target Version 3.2.0 => 3.1.4
2012-09-07 19:53 chenson Status resolved => closed
2014-02-02 20:52 abrougher Changeset attached => SymmetricDS trunk r6239
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master f0c284e0